Summary: PPP Client
Name: ppp-mppe
Provides: ppp
Obsoletes: ppp
Version: 2.4.0
Release: 1
URL: http://pptpclient.sourceforge.net/
Source: ftp://ftp.linuxcare.com.au/pub/ppp/ppp-2.4.0.tar.gz
source1: openssl-mppe-0.9.6.tar.gz
Source2: mppe-kernel.tar.gz
Source3: mppe-kernel-modules-i386.tar.gz
Source4: ppp-mppe-drvrs.tar.bz2
Patch0: ppp-2.4.0-mppe.patch
Patch1: openssl-0.9.6-mppe.patch
Copyright: similar to BSD
Group: Applications/Internet
Packager: linuxkid <linux@peanutlinux.org>
BuildRoot: /tmp/ppp-%{version}-buildroot

%description
PPP with MPPE support.
Replaces /usr/sbin/pppd; with a new pppd version with MPPE support plus
a kernel driver(s).

To use this rpm, remove any loaded kernel drivers with 'rmmod' command, e.g.

lsmod  <to see if any are loaded>
rmmod filename

1. bsd_comp
2. ppp
3. ppp_deflate
4. ppp_mppe
5. slhc

New kernel drivers from this package are called:
mppe
ppp_mppe
rc4_enc
rc4_skey
sha1dgst
sha1key

SEE: /usr/doc/ppp-mppe-%{version} for any problems or howto use.

%prep
%setup -q -n ppp-%{version}
%setup -q -n ppp-%{version} -D -T -a 1
%patch0 -p1
cd openssl
%patch1 -p1
cd ..

%build
./configure
make CC="gcc $CFLAGS"

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
LDIR=$RPM_BUILD_ROOT/usr/lib/ppp-mppe-%{version}
mkdir -p $LDIR/linux
(cd $LDIR/linux; tar xzf %{S:2})
(cd $LDIR/linux/kernel; tar xzf %{S:1})
(cd $LDIR/linux/kernel/openssl; patch -p1 < %{P:1})
(cd $LDIR/linux/kernel-modules; tar xzf $RPM_SOURCE_DIR/mppe-kernel-modules-$RPM_ARCH.tar.gz)
mkdir -p $RPM_BUILD_ROOT/etc/ppp/peers
tar xjvpf %{SOURCE4} -C $RPM_BUILD_ROOT

strip -R.comment -R.note $RPM_BUILD_ROOT/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/lib/*.so 2>/dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%doc FAQ PLUGINS README* SETUP openssl/README* openssl/LICENSE*

%config %attr(0600,root,root)   /etc/ppp/chap-secrets
%config %attr(0600,root,root)   /etc/ppp/options
%config %attr(0600,root,root)   /etc/ppp/pap-secrets
%attr(0755,root,root)   /usr/sbin/chat
%attr(4755,root,root)   /usr/sbin/pppd
%attr(0755,root,root)   /usr/sbin/pppdump
%attr(0755,root,daemon) /usr/sbin/pppstats
%attr(0444,root,root)   /usr/man/man8/*
%attr(-,root,root)      /usr/lib/ppp-mppe-%{version}
%attr(0755,root,root)	/etc/ppp/peers
/lib
